Subject: bug#65136: closed (Re: mktexpk cannot create bitmap font for umvs)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 31 Aug 2024 23:57:02 +0000

Your bug report

#65136: mktexpk cannot create bitmap font for umvs

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
65136: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=65136
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: mktexpk cannot create bitmap font for umvs
From: Nicolas Goaziou <[email-masked]>
To: [email-masked]
Cc: "Dr. Arne Babenhauserheide" <[email-masked]>
Date: Sun, 01 Sep 2024 01:55:03 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> "Dr. Arne Babenhauserheide" <[email-masked]> writes:
> 
> > I restarted my system after a few weeks of uptime and now my LaTeX files
> > no longer compile: I get the error
> >
> > kpathsea: Running mktexpk --mfmode / --bdpi 600 --mag 1+437/600 --dpi 1037 umvs
> > mktexpk: don't know how to create bitmap font for umvs.
> > mktexpk: perhaps umvs is missing from the map file.
> >
> > However it does work when I call
> >
> > guix shell texlive -- pdflatex -shell-escape file.tex
> >
> > My manifest contains as tex-relevant packages:

[...]

> This setup is not correct, as you're mixing monolithic package
> (`texlive') and an incomplete modular system (`texlive-*').
> 
> According to the manual, if you want to use modular TeX Live, you need
> to provide at least a scheme or a collection, such as
> `texlive-scheme-basic'.  You should also remove `texlive'.
> 
> Does it work if you update your manifest?

No answer in a year. I assume the issue is fixed on your side. I'm
closing this issue. Feel free to reopen it if you think I am wrong.

Regards,
-- 
Nicolas Goaziou

Subject: mktexpk cannot create bitmap font for umvs
From: "Dr. Arne Babenhauserheide" <[email-masked]>
To: [email-masked]
Date: Mon, 07 Aug 2023 22:25:34 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I restarted my system after a few weeks of uptime and now my LaTeX files
no longer compile: I get the error

kpathsea: Running mktexpk --mfmode / --bdpi 600 --mag 1+437/600 --dpi 1037 umvs
mktexpk: don't know how to create bitmap font for umvs.
mktexpk: perhaps umvs is missing from the map file.

However it does work when I call

guix shell texlive -- pdflatex -shell-escape file.tex

My manifest contains as tex-relevant packages:

  "font-tex-gyre"

  "texinfo"
  "texlive"
  "texlive-ae"
  "texlive-amsfonts"
  "texlive-bin"
  "texlive-charter"
  "texlive-cm-super"
  "texlive-fontinst"
  "texlive-ec"
  "texlive-iwona"
  "texlive-latex-fonts"
  "texlive-rsfs"
  "texlive-inconsolata"
  "texlive-mdwtools"
  "texlive-ms"
  "texlive-polyglossia"
  "texlive-titlesec"
  "texlive-lh"
  "texlive-metafont"
  "texlive-mflogo"
  "texlive-mflogo-font"
  "texlive-palatino"
  "texlive-hyphen-complete"
  "texlive-times"
  "texlive-txfonts"
  "texlive-zapfding"

Best wishes,
Arne
-- 
Unpolitisch sein
heißt politisch sein,
ohne es zu merken.
draketo.de